be.fgov.ehealth.dics.protocol.v5

## Class ConsultAdministrationFrequencyType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultAdministrationFrequencyType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:27:16+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultAdministrationFrequencyType
      extends Object
      implements Serializable

  Java class for ConsultAdministrationFrequencyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultAdministrationFrequencyType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Quantity" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="Timeframe" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultAdministrationFrequencyType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getQuantity()` Gets the value of the quantity property.
    `QuantityType` | `getTimeframe()` Gets the value of the timeframe property.
    `void` | `setQuantity(int value)` Sets the value of the quantity property.
    `void` | `setTimeframe(QuantityType value)` Sets the value of the timeframe property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultAdministrationFrequencyType

          public ConsultAdministrationFrequencyType()

  - ### Method Detail

    - #### getQuantity

          public int getQuantity()

      Gets the value of the quantity property.

    - #### setQuantity

          public void setQuantity(int value)

      Sets the value of the quantity property.

    - #### getTimeframe

          public QuantityType getTimeframe()

      Gets the value of the timeframe property.
      Returns:
        possible object is `QuantityType`

    - #### setTimeframe

          public void setTimeframe(QuantityType value)

      Sets the value of the timeframe property.
      Parameters:
        `value` - allowed object is `QuantityType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.